Package org.apache.sling.feature.extension.apiregions.api.config

# Class FrameworkPropertyDescription

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity
org.apache.sling.feature.extension.apiregions.api.config.DescribableEntity
org.apache.sling.feature.extension.apiregions.api.config.PropertyDescription
org.apache.sling.feature.extension.apiregions.api.config.FrameworkPropertyDescription

public class FrameworkPropertyDescription extends PropertyDescription
A framework property description This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`FrameworkPropertyDescription()`

## Method Summary

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.PropertyDescription

`clear, createJson, fromJSONObject, getCardinality, getDefaultValue, getExcludes, getIncludes, getInternalMode, getMode, getOptions, getPlaceholderPolicy, getPlaceholderRegex, getPlaceholderRegexPattern, getRange, getRegex, getRegexPattern, getType, getVariable, isRequired, setCardinality, setDefaults, setDefaultValue, setExcludes, setIncludes, setInternalMode, setMode, setOptions, setPlaceholderPolicy, setPlaceholderRegex, setRange, setRegex, setRequired, setType, setVariable`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.DescribableEntity

`getDeprecated, getDescription, getEnforceOn, getSince, getTitle, setDeprecated, setDescription, setEnforceOn, setSince, setTitle`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity

`getAttributes, getBoolean, getInteger, getNumber, getString, getString, getStringArray, setString, setStringArray, toJSONObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameworkPropertyDescription

public FrameworkPropertyDescription()